# std::allocator< _Tp > Class Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
class std::allocator< _Tp >

Further details: http://gcc.gnu.org/onlinedocs/libstdc++/20_util/allocator.html

Definition at line 85 of file allocator.h.

## Public Types

- typedef const _Tp * const_pointer
- typedef const _Tp & const_reference
- typedef ptrdiff_t difference_type
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- template<typename _Tp1> allocator (const allocator< _Tp1 > &) throw ()
- allocator (const allocator &__a) throw ()
- allocator () throw ()
- ~allocator () throw ()

## Classes

- struct rebind

The documentation for this class was generated from the following file:

- allocator.h